
// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "ae.h"
#include "aeoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AEOption dialog


AEOption::AEOption(AETool *pTool /*=NULL*/)
    : CPropertyPage(AEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(AEOption)
   
    //}}AFX_DATA_INIT
}

void AEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(AEOption)
    DDX_Text(pDX, IDC_AEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_AEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// AEOption message handlers
  void AEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
   
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void AEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(AEOption, CPropertyPage)
    //{{AFX_MSG_MAP(AEOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()